SoGLLineWidthElement(3)

NAME
SoGLLineWidthElement - The SoGLLineWidthElement class changes the line width setting of the OpenGL render state.

SYNOPSIS

#include <Inventor/elements/SoGLLineWidthElement.h>

Inherits SoLineWidthElement.

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)

  Protected Member Functions
virtual ~SoGLLineWidthElement ()
virtual void setElt (float width)

  Additional Inherited Members

Detailed Description

The SoGLLineWidthElement class changes the line width setting of the OpenGL render state. Requests from the scene graph to change the line width when rendering OpenGL line primitives will be made through this element, which forwards it to the appropriate native OpenGL call.

The Coin library does not place any bounds on the values of the line widths, but be aware that the range and granularity of what is valid line widths depends on the underlying OpenGL implementation. Application programmers using line primitives (typically through the SoLineSet or SoIndexedLineSet nodes) should consider these boundary values. They can be acquired by running the following code from within a valid OpenGL context:

GLfloat bounds[2];
glGetFloatv(GL_LINE_WIDTH_RANGE, bounds);
GLfloat granularity[1];
glGetFloatv(GL_LINE_WIDTH_GRANULARITY, granularity);

Another, perhaps more convenient, way of acquiring the OpenGL implementation limits with regard to point sizes is to use the So@Gui@GLWidget::getPointSizeLimits() method in the GUI 'glue' interface library you are using (SoQt, SoXt, SoGtk, SoWin, ...).

Constructor & Destructor Documentation

  SoGLLineWidthElement::~SoGLLineWidthElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLLineWidthElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLLineWidthElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLLineWidthElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLLineWidthElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLLineWidthElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value is 0.0.

Reimplemented from SoLineWidthElement.

  void SoGLLineWidthElement::push (SoState * state) [virtual]
This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoElement.

  void SoGLLineWidthElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]
This method is called when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement.

Override this method if you need to copy some state information from the previous top of stack.

Reimplemented from SoElement.

  void SoGLLineWidthElement::setElt (float value) [protected], [virtual]
Set element value.

Reimplemented from SoFloatElement.

Author

Generated automatically by Doxygen for Coin from the source code.